#pragma once

// Author: Thomas Braun thomas dott braun ht virtuell - zuhause dott de
// License: LGPLv3 or later (proprietary licenses on request)

// Custom error codes
#define OLD_IGOR 1 + FIRST_XOP_ERR

// Runtime param structure for Calc operation.
#pragma pack(2)	// All structures passed to Igor are two-byte aligned.
struct CalcRuntimeParams
{
  // Flag parameters.

  // Main parameters.

  // Parameters for simple main group #0.
  int expressionEncountered;
  double expression;
  int expressionParamsSet[1];

  // These are postamble fields that Igor sets.
  int calledFromFunction;					// 1 if called from a user function, 0 otherwise.
  int calledFromMacro;					// 1 if called from a macro, 0 otherwise.
};
typedef struct CalcRuntimeParams CalcRuntimeParams;
typedef struct CalcRuntimeParams* CalcRuntimeParamsPtr;
#pragma pack()	// All structures passed to Igor are two-byte aligned.

extern "C" int ExecuteCalc(CalcRuntimeParamsPtr p);
HOST_IMPORT int main(IORecHandle ioRecHandle);
